//
//  PLVUtils.h
//  WebView-Test
//
//  Created by POLYV-UX on 2021/1/20.
//  Copyright © 2021 easefun. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface PLVUtil : NSObject

#pragma mark - Dic&ArrayUtil

/// 检查字典是否可用 (YES-可用；NO-不可用；‘可用’代表不为空、NSDictionary类型、count大于0)
+ (BOOL)checkDictionaryUseable:(NSDictionary *)dict;


#pragma mark - StringUtil

/// 检查字符串是否可用 (YES-可用；NO-不可用；‘可用’代表不为空、NSString类型、length大于0)
+ (BOOL)checkStringUseable:(NSString *)string;


#pragma mark - 屏幕旋转

/// 旋转设备到指定方向
+(void)rotateOrientation:(UIInterfaceOrientation)orientation;

@end

NS_ASSUME_NONNULL_END
