//
//  PLVFloatingWKWebViewController.h
//  WebView-Test
//
//  Created by POLYV-UX on 2021/1/15.
//  Copyright © 2021 easefun. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <WebKit/WebKit.h>
NS_ASSUME_NONNULL_BEGIN

@interface PLVFloatingWKWebViewController : UIViewController

/// 初始化控制器
/// @param urlString 网页url路径
-(instancetype)initWithUrlString:(NSString *)urlString;


/// 当存在悬浮窗，但原来webview的容器控制器不存在，通过此方法重建容器
/// @param webview webview
-(instancetype)initWithWebView:(WKWebView *)webview;

@end

NS_ASSUME_NONNULL_END
