//
//  ViewController.m
//  WebView-Test
//
//  Created by ftao on 27/04/2018.
//  Copyright © 2018 easefun. All rights reserved.
//

#import "ViewController.h"
#import "PLVFloatingWindow.h"
#import "PLVFloatingWKWebViewController.h"

@interface ViewController ()

@property (weak, nonatomic) IBOutlet UITextView *urlTextView;

@end

@implementation ViewController

#pragma mark - Lift cycle

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
//    self.navigationController.navigationBar.translucent = NO;
    
    self.urlTextView.text = @"http://playertest.polyv.net/player2/lijunyu/test-player/index-ios.html";
}


#pragma mark - Action

-(IBAction)clickFloatingAction:(id)sender {
    
    if ([PLVFloatingWindow sharedInstance].mainWebview) {
        //已经有小窗的情况
        PLVFloatingWKWebViewController *floatingWebVC = [[PLVFloatingWKWebViewController alloc]initWithWebView:[PLVFloatingWindow sharedInstance].mainWebview];
        [self.navigationController pushViewController:floatingWebVC animated:YES];

    }else {
        //当前没有小窗的情况
        PLVFloatingWKWebViewController *floatingWebVC = [[PLVFloatingWKWebViewController alloc]initWithUrlString:self.urlTextView.text];
        [self.navigationController pushViewController:floatingWebVC animated:YES];
    }
}

- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event {
    [self.view endEditing:YES];
}

#pragma mark - 页面旋转控制

- (UIInterfaceOrientationMask)supportedInterfaceOrientations {
    return UIInterfaceOrientationMaskAllButUpsideDown;
}

- (BOOL)shouldAutorotate {
    return YES;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
